org.apache.tomcat.util.descriptor.web

## Class ErrorPage

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.XmlEncodingBase
  - - org.apache.tomcat.util.descriptor.web.ErrorPage

- All Implemented Interfaces:
    Serializable

      public class ErrorPage
      extends XmlEncodingBase
      implements Serializable

  Representation of an error page element for a web application, as represented in a `<error-page>` element in the deployment descriptor.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorPage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`
    `String` | `getExceptionType()`
    `String` | `getLocation()`
    `String` | `getName()`
    `void` | `setErrorCode(int errorCode)` Set the error code.
    `void` | `setErrorCode(String errorCode)` Set the error code (hack for default XmlMapper data type).
    `void` | `setExceptionType(String exceptionType)` Set the exception type.
    `void` | `setLocation(String location)` Set the location.
    `String` | `toString()` Render a String representation of this object.

    - ### Methods inherited from class org.apache.tomcat.util.descriptor.web.XmlEncodingBase

      `getCharset, getEncoding, setCharset, setEncoding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorPage

          public ErrorPage()

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Returns:
        the error code.

    - #### setErrorCode

          public void setErrorCode(int errorCode)

      Set the error code.
      Parameters:
        `errorCode` - The new error code

    - #### setErrorCode

          public void setErrorCode(String errorCode)

      Set the error code (hack for default XmlMapper data type).
      Parameters:
        `errorCode` - The new error code

    - #### getExceptionType

          public String getExceptionType()

      Returns:
        the exception type.

    - #### setExceptionType

          public void setExceptionType(String exceptionType)

      Set the exception type.
      Parameters:
        `exceptionType` - The new exception type

    - #### getLocation

          public String getLocation()

      Returns:
        the location.

    - #### setLocation

          public void setLocation(String location)

      Set the location.
      Parameters:
        `location` - The new location

    - #### toString

          public String toString()

      Render a String representation of this object.
      Overrides:
        `toString` in class `Object`

    - #### getName

          public String getName()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.